Name:           flamp
Version:        2.2.03
Release:        1%{?dist}
Summary:        Amateur Multicast Protocol - file transfer program

License:        GPLv3+
URL:            http://www.w1hkj.com/
Source0:        http://www.w1hkj.com/downloads/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  fltk-devel >= 1.3.0
BuildRequires:  libX11-devel
BuildRequires:  flxmlrpc-devel >= 0.1.0
BuildRequires:  desktop-file-utils
BuildRequires:  autoconf automake libtool


%description
Flamp is a program for AMP or Amateur Multicast Protocol. An flamp session will
transmit one or more files with one or more iterations of the transmission.

Each file is broken into blocks, each of which has a check sum. The receiving
station saves the blocks that pass check sum. Successive transmissions will fill
in the missing blocks provided that the new blocks pass the check sum. After the
transmission sequence, the entire file is assembled and may be saved. “Fills”
may be provided by retransmitting the entire file or by the sending station only
sending the missing blocks. Start by downloading the current version of flamp
from http://www.w1hkj.com/download.html. Install the software as you would any
of the NBEMS applications.


%prep
%setup -q

# Remove bundled xmlrpc and lzma libraries.
rm -rf src/xmlrpcpp


%build
%configure

make %{?_smp_mflags}


%install
%make_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%if 0%{?rhel} || 0%{?fedora} < 21
%doc COPYING
%else
%license COPYING
%endif
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm



%changelog
* Mon Sep 21 2015 Richard Shaw <hobbes1069@gmail.com> - 2.2.03-1
- Update to latest upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Richard Shaw <hobbes1069@gmail.com> - 2.2.02-2
- Use %%license macro where appropriate.
- Update license tag to GPLv3+ which covers the combined work.

* Tue May  5 2015 Richard Shaw <hobbes1069@gmail.com> - 2.2.02-1
- Update to latest upstream release.
- Build with external xmlrpc library.

* Sun Mar 29 2015 Richard Shaw <hobbes1069@gmail.com> - 2.2.01-1
- Update to latest upstream release.

* Tue Jan 13 2015 Richard Shaw <hobbes1069@gmail.com> - 2.2.00-1
- Update to latest upstream release.

* Sat Sep  6 2014 Richard Shaw <hobbes1069@gmail.com> - 2.1.02-2
- Attempt to patch to use system lzma-sdk.

* Mon Feb  3 2014 Richard Shaw <hobbes1069@gmail.com> - 2.1.02-1
- Initial packaging.
